Package Gnumed :: Package proxiedpyjamas :: Module gmWebGuiServer :: Class HTTPServer |
[frames] | no frames]

# Class HTTPServer

source code

                    SocketServer.ForkingMixIn --+
                                                |
                  SocketServer.BaseServer --+   |
                                            |   |
                       SocketServer.TCPServer --+
                                                |
                    SocketServer.ForkingTCPServer --+
                                                    |
    SimpleXMLRPCServer.SimpleXMLRPCDispatcher --+   |
                                                |   |
               jsonserver.SimpleJSONRPCDispatcher --+
                                                    |
                jsonserver.SimpleForkingJSONRPCServer --+
                                                        |
                                                       HTTPServer

An application instance containing any number of streams. Except for constructor all methods are generators.

Instance Methods
__init__(self) Constructor. | source code
echo(self, text) | source code
reverse(self, text) | source code
uppercase(self, text) | source code
lowercase(self, text) | source code
login(self, username=None, password=None, backend=None) | source code
logout(self) return value is in the exception | source code
search_patient(self, search_term) | source code
get_patient_messages(self, pk_patient) | source code
get_provider_inbox_data(self) | source code
get_schema_version(self) | source code
get_documents(self, key) | source code
get_doc_types(self) | source code
doSomething(self) | source code
Inherited from `SocketServer.ForkingMixIn`: `collect_children`, `handle_timeout`, `process_request` Inherited from `SocketServer.TCPServer`: `close_request`, `fileno`, `get_request`, `server_activate`, `server_bind`, `server_close` Inherited from `SocketServer.BaseServer`: `finish_request`, `handle_error`, `handle_request`, `serve_forever`, `shutdown`, `verify_request` Inherited from `SimpleXMLRPCServer.SimpleXMLRPCDispatcher`: `register_function`, `register_instance`, `register_introspection_functions`, `register_multicall_functions`, `system_listMethods`, `system_methodHelp`, `system_methodSignature`, `system_multicall`

Class Variables
| count = `0`
Inherited from `jsonserver.SimpleForkingJSONRPCServer`: `allow_reuse_address` Inherited from `SocketServer.ForkingMixIn`: `active_children`, `max_children`, `timeout` Inherited from `SocketServer.TCPServer`: `address_family`, `request_queue_size`, `socket_type`

Method Details

### __init__(self) (Constructor) | source code
Constructor. May be extended, do not override. Overrides: SimpleXMLRPCServer.SimpleXMLRPCDispatcher.__init__